diff --git a/app/Http/Controllers/Web/DashboardController.php b/app/Http/Controllers/Web/DashboardController.php
index 7f06f51..8a76603 100644
--- a/app/Http/Controllers/Web/DashboardController.php
+++ b/app/Http/Controllers/Web/DashboardController.php
@@ -54,7 +54,7 @@ class DashboardController extends Controller
     private function adminDashboard()
     {
         $usersPerMonth = $this->users->countOfNewUsersPerMonth(
-            Carbon::now()->startOfYear(),
+            Carbon::now()->subYear(),
             Carbon::now()
         );
 
diff --git a/app/Http/Controllers/Web/InstallController.php b/app/Http/Controllers/Web/InstallController.php
index 6a1d261..bc1018c 100644
--- a/app/Http/Controllers/Web/InstallController.php
+++ b/app/Http/Controllers/Web/InstallController.php
@@ -68,7 +68,8 @@ class InstallController extends Controller
         if (! $this->dbCredentialsAreValid($dbCredentials)) {
             return redirect()->route('install.database')
                 ->withInput(array_except($dbCredentials, 'password'))
-                ->withErrors("Connection to your database cannot be established. Please provide correct database credentials.");
+                ->withErrors("Connection to your database cannot be established. 
+                Please provide correct database credentials.");
         }
 
         Session::put('install.db_credentials', $dbCredentials);
@@ -114,7 +115,6 @@ class InstallController extends Controller
             \Log::error($e->getTraceAsString());
             return redirect()->route('install.error');
         }
-
     }
 
     private function reloadEnv()
@@ -138,7 +138,7 @@ class InstallController extends Controller
     private function getRequirements()
     {
         $requirements = [
-            'PHP Version (>= 5.5.9)' => version_compare(phpversion(), '5.5.9', '>='),
+            'PHP Version (>= 7.0.0)' => version_compare(phpversion(), '7.0.0', '>='),
             'OpenSSL Extension'   => extension_loaded('openssl'),
             'PDO Extension'       => extension_loaded('PDO'),
             'PDO MySQL Extension' => extension_loaded('pdo_mysql'),
diff --git a/app/Http/Requests/User/CreateUserRequest.php b/app/Http/Requests/User/CreateUserRequest.php
index 8febf77..ac4a53a 100644
--- a/app/Http/Requests/User/CreateUserRequest.php
+++ b/app/Http/Requests/User/CreateUserRequest.php
@@ -16,9 +16,9 @@ class CreateUserRequest extends Request
     {
         $rules = [
             'email' => 'required|email|unique:users,email',
-            'username' => 'unique:users,username',
+            'username' => 'nullable|unique:users,username',
             'password' => 'required|min:6|confirmed',
-            'birthday' => 'date',
+            'birthday' => 'nullable|date',
             'role_id' => 'required|exists:roles,id',
         ];
 
diff --git a/app/Http/Requests/User/UpdateDetailsRequest.php b/app/Http/Requests/User/UpdateDetailsRequest.php
index 49539f3..64ba878 100644
--- a/app/Http/Requests/User/UpdateDetailsRequest.php
+++ b/app/Http/Requests/User/UpdateDetailsRequest.php
@@ -15,7 +15,7 @@ class UpdateDetailsRequest extends Request
     public function rules()
     {
         return [
-            'birthday' => 'date',
+            'birthday' => 'nullable|date',
             'role_id' => 'required|exists:roles,id'
         ];
     }
diff --git a/app/Http/Requests/User/UpdateProfileDetailsRequest.php b/app/Http/Requests/User/UpdateProfileDetailsRequest.php
index ffe7c81..412d6a3 100644
--- a/app/Http/Requests/User/UpdateProfileDetailsRequest.php
+++ b/app/Http/Requests/User/UpdateProfileDetailsRequest.php
@@ -15,7 +15,7 @@ class UpdateProfileDetailsRequest extends Request
     public function rules()
     {
         return [
-            'birthday' => 'date',
+            'birthday' => 'nullable|date',
         ];
     }
 }
diff --git a/app/Http/Requests/User/UpdateUserRequest.php b/app/Http/Requests/User/UpdateUserRequest.php
index b403e6c..a502ca5 100644
--- a/app/Http/Requests/User/UpdateUserRequest.php
+++ b/app/Http/Requests/User/UpdateUserRequest.php
@@ -20,9 +20,9 @@ class UpdateUserRequest extends Request
 
         return [
             'email' => 'email|unique:users,email,' . $user->id,
-            'username' => 'unique:users,username,' . $user->id,
+            'username' => 'nullable|unique:users,username,' . $user->id,
             'password' => 'min:6|confirmed',
-            'birthday' => 'date',
+            'birthday' => 'nullable|date',
             'role_id' => 'exists:roles,id',
             'country_id' => 'exists:countries,id',
             'status' => Rule::in(array_keys(UserStatus::lists()))
diff --git a/app/Listeners/Users/InvalidateSessionsAndTokens.php b/app/Listeners/Users/InvalidateSessionsAndTokens.php
new file mode 100644
index 0000000..5709adf
--- /dev/null
+++ b/app/Listeners/Users/InvalidateSessionsAndTokens.php
@@ -0,0 +1,39 @@
+<?php
+
+namespace Portal\Listeners\Users;
+
+use Carbon\Carbon;
+use Illuminate\Contracts\Auth\Guard;
+use Portal\Events\User\Banned;
+use Portal\Events\User\LoggedIn;
+use Portal\Repositories\Session\SessionRepository;
+use Portal\Repositories\User\UserRepository;
+use Portal\Services\Auth\Api\Token;
+
+class InvalidateSessionsAndTokens
+{
+    /**
+     * @var SessionRepository
+     */
+    private $sessions;
+
+    public function __construct(SessionRepository $sessions)
+    {
+        $this->sessions = $sessions;
+    }
+
+    /**
+     * Handle the event.
+     *
+     * @param Banned $event
+     * @return void
+     */
+    public function handle(Banned $event)
+    {
+        $user = $event->getBannedUser();
+
+        $this->sessions->invalidateAllSessionsForUser($user->id);
+
+        Token::where('user_id', $user->id)->delete();
+    }
+}
diff --git a/app/Presenters/UserPresenter.php b/app/Presenters/UserPresenter.php
index baf43c3..68ad06c 100644
--- a/app/Presenters/UserPresenter.php
+++ b/app/Presenters/UserPresenter.php
@@ -32,7 +32,7 @@ class UserPresenter extends Presenter
     public function birthday()
     {
         return $this->entity->birthday
-            ? $this->entity->birthday->toDateString()
+            ? $this->entity->birthday->format(config('app.date_format'))
             : '-';
     }
 
diff --git a/app/Providers/AppServiceProvider.php b/app/Providers/AppServiceProvider.php
index b755d1b..5f5a0b0 100644
--- a/app/Providers/AppServiceProvider.php
+++ b/app/Providers/AppServiceProvider.php
@@ -28,6 +28,7 @@ class AppServiceProvider extends ServiceProvider
     {
         Carbon::setLocale(config('app.locale'));
         config(['app.name' => settings('app_name')]);
+        \Illuminate\Database\Schema\Builder::defaultStringLength(191);
     }
 
     /**
diff --git a/app/Providers/EventServiceProvider.php b/app/Providers/EventServiceProvider.php
index 089c4df..7c3b3ca 100644
--- a/app/Providers/EventServiceProvider.php
+++ b/app/Providers/EventServiceProvider.php
@@ -2,8 +2,10 @@
 
 namespace Portal\Providers;
 
+use Portal\Events\User\Banned;
 use Portal\Events\User\LoggedIn;
 use Portal\Events\User\Registered;
+use Portal\Listeners\Users\InvalidateSessionsAndTokens;
 use Portal\Listeners\Login\UpdateLastLoginTimestamp;
 use Portal\Listeners\PermissionEventsSubscriber;
 use Portal\Listeners\Registration\SendConfirmationEmail;
@@ -26,6 +28,9 @@ class EventServiceProvider extends ServiceProvider
         ],
         LoggedIn::class => [
             UpdateLastLoginTimestamp::class
+        ],
+        Banned::class => [
+            InvalidateSessionsAndTokens::class
         ]
     ];
 
diff --git a/app/Repositories/Session/DbSession.php b/app/Repositories/Session/DbSession.php
index b5e1144..441c189 100644
--- a/app/Repositories/Session/DbSession.php
+++ b/app/Repositories/Session/DbSession.php
@@ -3,6 +3,7 @@
 namespace Portal\Repositories\Session;
 
 use Carbon\Carbon;
+use Jenssegers\Agent\Agent;
 use Portal\Repositories\User\UserRepository;
 use DB;
 
@@ -12,14 +13,20 @@ class DbSession implements SessionRepository
      * @var UserRepository
      */
     private $users;
+    /**
+     * @var Agent
+     */
+    private $agent;
 
     /**
      * DbSession constructor.
      * @param UserRepository $users
+     * @param Agent $agent
      */
-    public function __construct(UserRepository $users)
+    public function __construct(UserRepository $users, Agent $agent)
     {
         $this->users = $users;
+        $this->agent = $agent;
     }
 
     /**
@@ -33,7 +40,21 @@ class DbSession implements SessionRepository
             ->where('user_id', $userId)
             ->where('last_activity', '>=', $validTimestamp)
             ->get()
-            ->all();
+            ->map(function ($session) {
+                return $this->mapSessionAttributes($session);
+            });
+    }
+
+    private function mapSessionAttributes($session)
+    {
+        $this->agent->setUserAgent($session->user_agent);
+
+        $session->last_activity = Carbon::createFromTimestamp($session->last_activity);
+        $session->platform = $this->agent->platform();
+        $session->browser = $this->agent->browser();
+        $session->device = $this->agent->device();
+
+        return $session;
     }
 
     /**
@@ -55,8 +76,24 @@ class DbSession implements SessionRepository
      */
     public function find($sessionId)
     {
-        return DB::table('sessions')
+        $session = DB::table('sessions')
             ->where('id', $sessionId)
             ->first();
+
+        return $session
+            ? $this->mapSessionAttributes($session)
+            : null;
+    }
+
+    /**
+     * {@inheritdoc}
+     */
+    public function invalidateAllSessionsForUser($userId)
+    {
+        DB::table('sessions')
+            ->where('user_id', $userId)
+            ->delete();
+
+        $this->users->update($userId, ['remember_token' => null]);
     }
 }
diff --git a/app/Repositories/Session/SessionRepository.php b/app/Repositories/Session/SessionRepository.php
index c061d65..f9ab12e 100644
--- a/app/Repositories/Session/SessionRepository.php
+++ b/app/Repositories/Session/SessionRepository.php
@@ -26,4 +26,11 @@ interface SessionRepository
      * @return mixed
      */
     public function invalidateSession($sessionId);
+
+    /**
+     * Invalidate all sessions for user with given id.
+     * @param $userId
+     * @return mixed
+     */
+    public function invalidateAllSessionsForUser($userId);
 }
diff --git a/app/Repositories/User/EloquentUser.php b/app/Repositories/User/EloquentUser.php
index d7b4385..6e5f49a 100644
--- a/app/Repositories/User/EloquentUser.php
+++ b/app/Repositories/User/EloquentUser.php
@@ -185,49 +185,39 @@ class EloquentUser implements UserRepository
     /**
      * {@inheritdoc}
      */
-    public function countOfNewUsersPerMonth($from, $to)
+    public function countOfNewUsersPerMonth(Carbon $from, Carbon $to)
     {
-        $perMonthQuery = $this->getPerMonthQuery();
-
-        $result = User::select([
-            DB::raw("{$perMonthQuery} as month"),
-            DB::raw('count(id) as count')
-        ])
-            ->whereBetween('created_at', [$from, $to])
-            ->groupBy('month')
-            ->orderBy('month', 'ASC')
-            ->pluck('count', 'month');
+        $result = User::whereBetween('created_at', [$from, $to])
+            ->get(['created_at'])
+            ->groupBy(function ($user) {
+                return $user->created_at->format("Y_n");
+            });
 
         $counts = [];
 
-        foreach(range(1, 12) as $m) {
-            $month = date('F', mktime(0, 0, 0, $m, 1));
+        while ($from->lt($to)) {
+            $key = $from->format("Y_n");
 
-            $month = trans("app.months.{$month}");
+            $counts[$this->parseDate($key)] = count($result->get($key, []));
 
-            $counts[$month] = isset($result[$m])
-                ? $result[$m]
-                : 0;
+            $from->addMonth();
         }
 
         return $counts;
     }
 
     /**
-     * Creates query that will be used to fetch users per
-     * month, depending on type of the connection.
-     *
+     * Parse date from "Y_m" format to "{Month Name} {Year}" format.
+     * @param $yearMonth
      * @return string
      */
-    private function getPerMonthQuery()
+    private function parseDate($yearMonth)
     {
-        $connection = DB::connection();
+        list($year, $month) = explode("_", $yearMonth);
 
-        if ($connection instanceof SQLiteConnection) {
-            return 'CAST(strftime(\'%m\', created_at) AS INTEGER)';
-        }
+        $month = trans("app.months.{$month}");
 
-        return 'MONTH(created_at)';
+        return "{$month} {$year}";
     }
 
     /**
diff --git a/app/Repositories/User/UserRepository.php b/app/Repositories/User/UserRepository.php
index 221b76c..65a3e1d 100644
--- a/app/Repositories/User/UserRepository.php
+++ b/app/Repositories/User/UserRepository.php
@@ -2,6 +2,7 @@
 
 namespace Portal\Repositories\User;
 
+use Carbon\Carbon;
 use Portal\User;
 use \Laravel\Socialite\Contracts\User as SocialUser;
 
@@ -116,7 +117,7 @@ interface UserRepository
      * @param $to
      * @return mixed
      */
-    public function countOfNewUsersPerMonth($from, $to);
+    public function countOfNewUsersPerMonth(Carbon $from, Carbon $to);
 
     /**
      * Get latest {$count} users from database.
diff --git a/app/Transformers/SessionTransformer.php b/app/Transformers/SessionTransformer.php
index fac31af..f960dc5 100644
--- a/app/Transformers/SessionTransformer.php
+++ b/app/Transformers/SessionTransformer.php
@@ -10,18 +10,15 @@ class SessionTransformer extends TransformerAbstract
 {
     public function transform($session)
     {
-        $agent = app('agent');
-        $agent->setUserAgent($session->user_agent);
-
         return [
             'id' => $session->id,
             'user_id' => (int) $session->user_id,
             'ip_address' => $session->ip_address,
             'user_agent' => $session->user_agent,
-            'browser' => $agent->browser(),
-            'platform' => $agent->platform(),
-            'device' => $agent->device(),
-            'last_activity' => (string) Carbon::createFromTimestamp($session->last_activity)
+            'browser' => $session->browser,
+            'platform' => $session->platform,
+            'device' => $session->device,
+            'last_activity' => (string) $session->last_activity
         ];
     }
 }
diff --git a/config/app.php b/config/app.php
index 2e409ae..f8ccbe4 100644
--- a/config/app.php
+++ b/config/app.php
@@ -23,7 +23,7 @@ return [
     | Portal Version
     |--------------------------------------------------------------------------
     */
-    'version' => '2.1.0',
+    'version' => '2.1.1',
 
     /*
     |--------------------------------------------------------------------------
@@ -79,6 +79,20 @@ return [
 
     /*
     |--------------------------------------------------------------------------
+    | Application Date and Date-Time Format
+    |--------------------------------------------------------------------------
+    |
+    | Here you may specify the default date as well as date and time
+    | format used across the application.
+    |
+    */
+
+    'date_format' => 'Y-m-d',
+
+    'date_time_format' => 'Y-m-d \a\t h:i A',
+
+    /*
+    |--------------------------------------------------------------------------
     | Application Locale Configuration
     |--------------------------------------------------------------------------
     |
diff --git a/database/factories/ActivityFactory.php b/database/factories/ActivityFactory.php
new file mode 100644
index 0000000..a14a35b
--- /dev/null
+++ b/database/factories/ActivityFactory.php
@@ -0,0 +1,15 @@
+<?php
+
+use Faker\Generator as Faker;
+use Portal\Services\Logging\UserActivity\Activity;
+
+$factory->define(Activity::class, function (Faker $faker) {
+    return [
+        'user_id' => function () {
+            return factory(\Portal\User::class)->create()->id;
+        },
+        'description' => substr($faker->paragraph, 0, 255),
+        'ip_address' => $faker->ipv4,
+        'user_agent' => $faker->userAgent
+    ];
+});
diff --git a/database/factories/CountryFactory.php b/database/factories/CountryFactory.php
new file mode 100644
index 0000000..08600d9
--- /dev/null
+++ b/database/factories/CountryFactory.php
@@ -0,0 +1,15 @@
+<?php
+
+use Faker\Generator as Faker;
+use Portal\Country;
+
+$factory->define(Country::class, function (Faker $faker) {
+    return [
+        'country_code' => $faker->countryCode,
+        'iso_3166_2' => strtoupper($faker->randomLetter . $faker->randomLetter),
+        'iso_3166_3' => $faker->countryISOAlpha3,
+        'name' => $faker->country,
+        'region_code' => 123,
+        'sub_region_code' => 123
+    ];
+});
diff --git a/database/factories/PermissionFactory.php b/database/factories/PermissionFactory.php
new file mode 100644
index 0000000..d7c8ea3
--- /dev/null
+++ b/database/factories/PermissionFactory.php
@@ -0,0 +1,12 @@
+<?php
+
+use Faker\Generator as Faker;
+
+$factory->define(Portal\Permission::class, function (Faker $faker) {
+    return [
+        'name' => str_random(5),
+        'display_name' => implode(" ", $faker->words(2)),
+        'description' => substr($faker->paragraph, 0, 191),
+        'removable' => true
+    ];
+});
diff --git a/database/factories/RoleFactory.php b/database/factories/RoleFactory.php
new file mode 100644
index 0000000..d85f880
--- /dev/null
+++ b/database/factories/RoleFactory.php
@@ -0,0 +1,12 @@
+<?php
+
+use Faker\Generator as Faker;
+
+$factory->define(Portal\Role::class, function (Faker $faker) {
+    return [
+        'name' => str_random(5),
+        'display_name' => implode(" ", $faker->words(2)),
+        'description' => substr($faker->paragraph, 0, 191),
+        'removable' => true,
+    ];
+});
diff --git a/database/factories/TokenFactory.php b/database/factories/TokenFactory.php
new file mode 100644
index 0000000..a22d85a
--- /dev/null
+++ b/database/factories/TokenFactory.php
@@ -0,0 +1,15 @@
+<?php
+
+use Faker\Generator as Faker;
+
+$factory->define(\Portal\Services\Auth\Api\Token::class, function (Faker $faker) {
+    return [
+        'id' => str_random(40),
+        'user_id' => function () {
+            return factory(\Portal\User::class)->create()->id;
+        },
+        'ip_address' => $faker->ipv4,
+        'user_agent' => substr($faker->userAgent, 0, 500),
+        'expires_at' => \Carbon\Carbon::now()->addMinutes(60)
+    ];
+});
diff --git a/database/factories/UserFactory.php b/database/factories/UserFactory.php
new file mode 100644
index 0000000..fe8d2f0
--- /dev/null
+++ b/database/factories/UserFactory.php
@@ -0,0 +1,23 @@
+<?php
+
+use Faker\Generator as Faker;
+
+$factory->define(Portal\User::class, function (Faker $faker) {
+    return [
+        'email' => $faker->email,
+        'password' => bcrypt(str_random(10)),
+        'first_name' => $faker->firstName,
+        'last_name' => $faker->lastName,
+        'phone' => $faker->phoneNumber,
+        'avatar' => null,
+        'address' => $faker->address,
+        'country_id' => function () use ($faker) {
+            return $faker->randomElement(Portal\Country::pluck('id')->toArray());
+        },
+        'role_id' => function () {
+            return factory(\Portal\Role::class)->create()->id;
+        },
+        'status' => Portal\Support\Enum\UserStatus::ACTIVE,
+        'birthday' => $faker->date()
+    ];
+});
diff --git a/database/migrations/2015_10_10_170827_create_users_table.php b/database/migrations/2015_10_10_170827_create_users_table.php
index b41dcc5..7904176 100644
--- a/database/migrations/2015_10_10_170827_create_users_table.php
+++ b/database/migrations/2015_10_10_170827_create_users_table.php
@@ -21,7 +21,7 @@ class CreateUsersTable extends Migration
             $table->string('last_name')->nullable();
             $table->string('phone')->nullable();
             $table->string('avatar')->nullable();
-            $table->string('address')->default('');
+            $table->string('address')->nullable();
             $table->unsignedInteger('country_id')->nullable();
             $table->unsignedInteger('role_id');
             $table->date('birthday')->nullable();
diff --git a/extra/auth.php b/extra/auth.php
index 0ddfd1c..fb9840d 100644
--- a/extra/auth.php
+++ b/extra/auth.php
@@ -1,6 +1,6 @@
 <?php
 
-require __DIR__.'/../bootstrap/autoload.php';
+require __DIR__.'/../vendor/autoload.php';
 $app = require_once __DIR__.'/../bootstrap/app.php';
 
 $request = Illuminate\Http\Request::capture();
@@ -17,7 +17,7 @@ $kernel->handle($request);
 function redirectTo($url)
 {
     if (! headers_sent()) {
-        header('Location: '.$url, TRUE, 302);
+        header('Location: '.$url, true, 302);
     } else {
         echo '<script type="text/javascript">';
         echo 'window.location.href="'.$url.'";';
@@ -27,4 +27,4 @@ function redirectTo($url)
         echo '</noscript>';
     }
     exit;
-}
\ No newline at end of file
+}
diff --git a/resources/assets/js/app.js b/resources/assets/js/app.js
new file mode 100644
index 0000000..922878b
--- /dev/null
+++ b/resources/assets/js/app.js
@@ -0,0 +1,22 @@
+
+/**
+ * First we will load all of this project's JavaScript dependencies which
+ * includes Vue and other libraries. It is a great starting point when
+ * building robust, powerful web applications using Vue and Laravel.
+ */
+
+require('./bootstrap');
+
+window.Vue = require('vue');
+
+/**
+ * Next, we will create a fresh Vue application instance and attach it to
+ * the page. Then, you may begin adding components to this application
+ * or customize the JavaScript scaffolding to fit your unique needs.
+ */
+
+Vue.component('example', require('./components/Example.vue'));
+
+const app = new Vue({
+    el: '#app'
+});
\ No newline at end of file
diff --git a/resources/assets/js/bootstrap.js b/resources/assets/js/bootstrap.js
new file mode 100644
index 0000000..9042114
--- /dev/null
+++ b/resources/assets/js/bootstrap.js
@@ -0,0 +1,53 @@
+
+window._ = require('lodash');
+
+/**
+ * We'll load jQuery and the Bootstrap jQuery plugin which provides support
+ * for JavaScript based Bootstrap features such as modals and tabs. This
+ * code may be modified to fit the specific needs of your application.
+ */
+
+try {
+    window.$ = window.jQuery = require('jquery');
+
+    require('bootstrap-sass');
+} catch (e) {}
+
+/**
+ * We'll load the axios HTTP library which allows us to easily issue requests
+ * to our Laravel back-end. This library automatically handles sending the
+ * CSRF token as a header based on the value of the "XSRF" token cookie.
+ */
+
+window.axios = require('axios');
+
+window.axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';
+
+/**
+ * Next we will register the CSRF Token as a common header with Axios so that
+ * all outgoing HTTP requests automatically have it attached. This is just
+ * a simple convenience so we don't have to attach every token manually.
+ */
+
+let token = document.head.querySelector('meta[name="csrf-token"]');
+
+if (token) {
+    window.axios.defaults.headers.common['X-CSRF-TOKEN'] = token.content;
+} else {
+    console.error('CSRF token not found: https://laravel.com/docs/csrf#csrf-x-csrf-token');
+}
+
+/**
+ * Echo exposes an expressive API for subscribing to channels and listening
+ * for events that are broadcast by Laravel. Echo and event broadcasting
+ * allows your team to easily build robust real-time web applications.
+ */
+
+// import Echo from 'laravel-echo'
+
+// window.Pusher = require('pusher-js');
+
+// window.Echo = new Echo({
+//     broadcaster: 'pusher',
+//     key: 'your-pusher-key'
+// });
\ No newline at end of file
diff --git a/resources/assets/js/components/Example.vue b/resources/assets/js/components/Example.vue
new file mode 100644
index 0000000..0439f43
--- /dev/null
+++ b/resources/assets/js/components/Example.vue
@@ -0,0 +1,23 @@
+<template>
+    <div class="container">
+        <div class="row">
+            <div class="col-md-8 col-md-offset-2">
+                <div class="panel panel-default">
+                    <div class="panel-heading">Example Component</div>
+
+                    <div class="panel-body">
+                        I'm an example component!
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+</template>
+
+<script>
+    export default {
+        mounted() {
+            console.log('Component mounted.')
+        }
+    }
+</script>
\ No newline at end of file
diff --git a/resources/lang/de/app.php b/resources/lang/de/app.php
index c172fae..908ba98 100644
--- a/resources/lang/de/app.php
+++ b/resources/lang/de/app.php
@@ -318,18 +318,19 @@ return [
     'confirm_email' => 'eMail Adresse bestätigen',
 
     'months' => [
-        'January' => 'Januar',
-        'February' => 'Februar',
-        'March' => 'März',
-        'April' => 'April',
-        'May' => 'Mai',
-        'June' => 'Juni',
-        'July' => 'Juli',
-        'August' => 'August',
-        'September' => 'September',
-        'October' => 'Oktober',
-        'November' => 'November',
-        'December' => 'Dezember',
-    ]
-];
+        1 => 'Januar',
+        2 => 'Februar',
+        3 => 'März',
+        4 => 'April',
+        5 => 'Mai',
+        6 => 'Juni',
+        7 => 'Juli',
+        8 => 'August',
+        9 => 'September',
+        10 => 'Oktober',
+        11 => 'November',
+        12 => 'Dezember',
+    ],
 
+    'unknown' => 'Unbekannt'
+];
diff --git a/resources/lang/en/app.php b/resources/lang/en/app.php
index e40fe94..f547c0f 100644
--- a/resources/lang/en/app.php
+++ b/resources/lang/en/app.php
@@ -321,19 +321,20 @@ return [
     'regards' => 'Regards',
 
     'months' => [
-        'January' => 'January',
-        'February' => 'February',
-        'March' => 'March',
-        'April' => 'April',
-        'May' => 'May',
-        'June' => 'June',
-        'July' => 'July',
-        'August' => 'August',
-        'September' => 'September',
-        'October' => 'October',
-        'November' => 'November',
-        'December' => 'December',
+        1 => 'January',
+        2 => 'February',
+        3 => 'March',
+        4 => 'April',
+        5 => 'May',
+        6 => 'June',
+        7 => 'July',
+        8 => 'August',
+        9 => 'September',
+        10 => 'October',
+        11 => 'November',
+        12 => 'December',
     ],
 
     'avatar_not_changed' => 'Avatar image cannot be updated. Please try again.',
+    'unknown' => 'Unknown'
 ];
diff --git a/resources/lang/sr/app.php b/resources/lang/sr/app.php
index c80b5cd..15cf01e 100644
--- a/resources/lang/sr/app.php
+++ b/resources/lang/sr/app.php
@@ -313,19 +313,20 @@ return [
     'confirm_email' => 'Potvrdi E-Mail',
 
     'months' => [
-        'January' => 'Januar',
-        'February' => 'Februar',
-        'March' => 'Mart',
-        'April' => 'April',
-        'May' => 'Maj',
-        'June' => 'Jun',
-        'July' => 'Jul',
-        'August' => 'Avgust',
-        'September' => 'Septembar',
-        'October' => 'Oktobar',
-        'November' => 'Novembar',
-        'December' => 'Decembar',
+        1 => 'Januar',
+        2 => 'Februar',
+        3 => 'Mart',
+        4 => 'April',
+        5 => 'Maj',
+        6 => 'Jun',
+        7 => 'Jul',
+        8 => 'Avgust',
+        9 => 'Septembar',
+        10 => 'Oktobar',
+        11 => 'Novembar',
+        12 => 'Decembar',
     ],
 
     'avatar_not_changed' => 'Avatar ne može biti ažuriran. Molimo pokušajte ponovo.',
+    'unknown' => 'Nepoznato'
 ];
diff --git a/resources/views/activity/index.blade.php b/resources/views/activity/index.blade.php
index df7a421..3f80bc0 100644
--- a/resources/views/activity/index.blade.php
+++ b/resources/views/activity/index.blade.php
@@ -76,7 +76,7 @@
                     @endif
                     <td>{{ $activity->ip_address }}</td>
                     <td>{{ $activity->description }}</td>
-                    <td>{{ $activity->created_at->format('Y-m-d H:i:s') }}</td>
+                    <td>{{ $activity->created_at->format(config('app.date_time_format')) }}</td>
                     <td class="text-center">
                         <a tabindex="0" role="button" class="btn btn-primary btn-circle"
                            data-trigger="focus"
diff --git a/resources/views/user/list.blade.php b/resources/views/user/list.blade.php
index 68cecbf..f4f4d8a 100644
--- a/resources/views/user/list.blade.php
+++ b/resources/views/user/list.blade.php
@@ -69,7 +69,7 @@
                         <td>{{ $user->username ?: trans('app.n_a') }}</td>
                         <td>{{ $user->first_name . ' ' . $user->last_name }}</td>
                         <td>{{ $user->email }}</td>
-                        <td>{{ $user->created_at->format('Y-m-d') }}</td>
+                        <td>{{ $user->created_at->format(config('app.date_format')) }}</td>
                         <td>
                             <span class="label label-{{ $user->present()->labelClass }}">{{ trans("app.{$user->status}") }}</span>
                         </td>
diff --git a/resources/views/user/sessions.blade.php b/resources/views/user/sessions.blade.php
index 1f7a893..9a1fdef 100644
--- a/resources/views/user/sessions.blade.php
+++ b/resources/views/user/sessions.blade.php
@@ -31,18 +31,24 @@
 <div class="table-responsive">
     <table class="table">
         <thead>
-            <th>@lang('app.ip_address')</th>
-            <th>@lang('app.user_agent')</th>
-            <th>@lang('app.last_activity')</th>
-            <th class="text-center">@lang('app.action')</th>
+            <tr>
+                <th>@lang('app.ip_address')</th>
+                <th>Device</th>
+                <th>Browser</th>
+                <th>@lang('app.last_activity')</th>
+                <th class="text-center">@lang('app.action')</th>
+            </tr>
         </thead>
         <tbody>
             @if (count($sessions))
                 @foreach ($sessions as $session)
                     <tr>
                         <td>{{ $session->ip_address }}</td>
-                        <td>{{ $session->user_agent }}</td>
-                        <td>{{ \Carbon\Carbon::createFromTimestamp($session->last_activity)->format('Y-m-d H:i:s') }}</td>
+                        <td>
+                            {{ $session->device ?: trans('app.unknown') }} ({{ $session->platform ?: trans('app.unknown') }})
+                        </td>
+                        <td>{{ $session->browser ?: trans('app.unknown') }}</td>
+                        <td>{{ $session->last_activity->format(config('app.date_time_format')) }}</td>
                         <td class="text-center">
                             <a href="{{ isset($profile) ? route('profile.sessions.invalidate', $session->id) : route('user.sessions.invalidate', [$user->id, $session->id]) }}"
                                 class="btn btn-danger btn-circle" title="@lang('app.invalidate_session')"
diff --git a/resources/views/user/view.blade.php b/resources/views/user/view.blade.php
index 6fd44db..3425de5 100644
--- a/resources/views/user/view.blade.php
+++ b/resources/views/user/view.blade.php
@@ -110,7 +110,7 @@
                         @foreach($userActivities as $activity)
                             <tr>
                                 <td>{{ $activity->description }}</td>
-                                <td>{{ $activity->created_at }}</td>
+                                <td>{{ $activity->created_at->format(config('app.date_time_format')) }}</td>
                             </tr>
                         @endforeach
                     </tbody>
